App\Entity\Usuario:
    properties:
        usuario:
            - NotBlank: {message: "El campo 'Usuario' es obligatorio"}
            - Length:
                min: 4
                minMessage: "El campo 'Usuario' debe tener más de 3 caracteres"
                max: 255
                maxMessage: "El campo 'Usuario' no puede tener más de 255 caracteres"
        email:
            - NotBlank: {message: "El campo 'Email' es obligatorio"}
            - Email:
                message: "El campo 'Email' no tiene un formato válido"
            - Length:
                min: 5
                minMessage: "El campo 'Email' debe tener más de 4 caracteres"
                max: 255
                maxMessage: "El campo 'Email' no puede tener más de 255 caracteres"
App\Entity\Fabricante:
    properties:
#        nombre:
#            - NotBlank: {message: "El campo 'Nombre del fabricante' es obligatorio"}
#            - Length:
#                max: 255
#                maxMessage: "El campo 'Nombre del fabricante' no puede tener más de 255 caracteres"
        email:
            - Email:
                message: "El campo 'Correo público' no tiene un formato válido"
            - Length:
                min: 5
                minMessage: "El campo 'Correo público' debe tener más de 4 caracteres"
                max: 255
                maxMessage: "El campo 'Correo público' no puede tener más de 255 caracteres"
        contacto:
            - Length:
                max: 255
                maxMessage: "El campo 'Persona de contacto' no puede tener más de 255 caracteres"
        telefono:
            - Length:
                max: 15
                maxMessage: "El campo 'Teléfono' no puede tener más de 15 caracteres"
        direccion:
            - Length:
                max: 255
                maxMessage: "El campo 'Dirección' no puede tener más de 255 caracteres"
        web:
            - Length:
                max: 255
                maxMessage: "El campo 'Web' no puede tener más de 255 caracteres"
        logotipo:
            - File:
                mimeTypes: [image/jpeg, image/gif, image/png, image/svg+xml]
                mimeTypesMessage: "Los formatos aceptados para el logotipo son: jpg, gif, png y svg"
App\Entity\Distribuidor:
    properties:
#        nombre:
#            - NotBlank: {message: "El campo 'Nombre del distribuidor' es obligatorio"}
#            - Length:
#                max: 255
#                maxMessage: "El campo 'Nombre del distribuidor' no puede tener más de 255 caracteres"
        email:
            - Email:
                message: "El campo 'Correo público' no tiene un formato válido"
            - Length:
                min: 5
                minMessage: "El campo 'Correo público' debe tener más de 4 caracteres"
                max: 255
                maxMessage: "El campo 'Correo público' no puede tener más de 255 caracteres"
        contacto:
            - Length:
                max: 255
                maxMessage: "El campo 'Persona de contacto' no puede tener más de 255 caracteres"
        telefono:
            - Length:
                max: 15
                maxMessage: "El campo 'Teléfono' no puede tener más de 15 caracteres"
        direccion:
            - Length:
                max: 255
                maxMessage: "El campo 'Dirección' no puede tener más de 255 caracteres"
        poblacion:
            - Length:
                max: 255
                maxMessage: "El campo 'Población' no puede tener más de 255 caracteres"
        zip:
            - Length:
                max: 10
                maxMessage: "El campo 'Código postal' no puede tener más de 10 caracteres"
        longitud:
            - Type:
                type: 'float'
                message: "El campo 'Longitud' no tiene un formato válido"
        latitud:
            - Type:
                type: 'float'
                message: "El campo 'Latitud' no tiene un formato válido"
        logotipo:
            - File:
                mimeTypes: [image/jpeg, image/gif, image/png, image/svg+xml]
                mimeTypesMessage: "Los formatos aceptados para el logotipo son: jpg, gif, png y svg"
App\Entity\CentroCompra:
    properties:
#        nombre:
#            - NotBlank: {message: "El campo 'Nombre de la central de compra' es obligatorio"}
#            - Length:
#                max: 255
#                maxMessage: "El campo 'Nombre de la central de compra' no puede tener más de 255 caracteres"
        cif:
            - Length:
                max: 255
                maxMessage: "El campo 'Cif' no puede tener más de 255 caracteres"
        email:
            - Email:
                message: "El campo 'Correo público' no tiene un formato válido"
            - Length:
                min: 5
                minMessage: "El campo 'Correo público' debe tener más de 4 caracteres"
                max: 255
                maxMessage: "El campo 'Correo público' no puede tener más de 255 caracteres"
        contacto:
            - Length:
                max: 255
                maxMessage: "El campo 'Persona de contacto' no puede tener más de 255 caracteres"
        descripcion:
            - Length:
                max: 1020
                maxMessage: "El campo 'Descripción' no puede tener más de 1020 caracteres"
        logotipo:
            - File:
                mimeTypes: [image/jpeg, image/gif, image/png, image/svg+xml]
                mimeTypesMessage: "Los formatos aceptados para el logotipo son: jpg, gif, png y svg"
App\Entity\Empresa:
    properties:
#        nombre:
#            - NotBlank: {message: "El campo 'Nombre de la empresa' es obligatorio"}
#            - Length:
#                max: 255
#                maxMessage: "El campo 'Nombre de la empresa' no puede tener más de 255 caracteres"
        email:
            - Email:
                message: "El campo 'Correo público' no tiene un formato válido"
            - Length:
                min: 5
                minMessage: "El campo 'Correo público' debe tener más de 4 caracteres"
                max: 255
                maxMessage: "El campo 'Correo público' no puede tener más de 255 caracteres"
        contacto:
            - Length:
                max: 255
                maxMessage: "El campo 'Persona de contacto' no puede tener más de 255 caracteres"
        telefono:
            - Length:
                max: 15
                maxMessage: "El campo 'Teléfono' no puede tener más de 15 caracteres"
        direccion:
            - Length:
                max: 255
                maxMessage: "El campo 'Dirección' no puede tener más de 255 caracteres"
        web:
            - Length:
                max: 255
                maxMessage: "El campo 'Web' no puede tener más de 255 caracteres"
        descripcion:
            - Length:
                max: 1020
                maxMessage: "El campo 'Descripción' no puede tener más de 1020 caracteres"
        logotipo:
            - File:
                mimeTypes: [image/jpeg, image/gif, image/png, image/svg+xml]
                mimeTypesMessage: "Los formatos aceptados para el logotipo son: jpg, gif, png y svg"
App\Entity\Cliente:
    properties:
        nombre:
            - NotBlank: {message: "El campo 'Nombre del cliente' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Nombre del cliente' no puede tener más de 255 caracteres"
        apellidos:
            - NotBlank: {message: "El campo 'Apellidos' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Apellidos' no puede tener más de 255 caracteres"
        zip:
            - Length:
                max: 10
                maxMessage: "El campo 'Código postal' no puede tener más de 10 caracteres"
App\Entity\Coleccion:
    properties:
        nombre:
            - NotBlank: {message: "El campo 'Nombre de la colección' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Nombre de la colección' no puede tener más de 255 caracteres"
App\Entity\Pieza:
    properties:
        nombre:
            - NotBlank: {message: "El campo 'Nombre de la pieza' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Nombre de la pieza' no puede tener más de 255 caracteres"
App\Entity\Variante:
    properties:
        referencia:
            - NotBlank: {message: "El campo 'ID de referencia' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'ID de referencia' no puede tener más de 255 caracteres"
        nombre:
            - NotBlank: {message: "El campo 'Nombre de referencia' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Nombre de referencia' no puede tener más de 255 caracteres"
        color:
            - NotBlank: {message: "El campo 'Color' es obligatorio"}
            - Length:
                max: 255
                maxMessage: "El campo 'Color' no puede tener más de 255 caracteres"
        lado_a:
            - NotBlank: {message: "El campo 'Medida lado A' es obligatorio"}
        lado_b:
            - NotBlank: {message: "El campo 'Medida lado B' es obligatorio"}
        superficie:
            - NotBlank: {message: "El campo 'Superficie' es obligatorio"}
App\Entity\Contenido:
    properties:
        imagen:
            - File:
                mimeTypes: [image/jpeg, image/gif, image/png, image/svg+xml]
                mimeTypesMessage: "Los formatos aceptados para la imagen son: jpg, gif, png y svg"
App\Form\Model\Registro:
    properties:
        usuario:
            - NotBlank: {message: "The \"User\" field is required"}
            - Length:
                min: 4
                minMessage: "The \"User\" field must have more than 3 characters"
                max: 255
                maxMessage: "The \"User\" field cannot be longer than 255 characters"
        email:
            - NotBlank: {message: "The \"Email\" field is mandatory"}
            - Email:
                message: "The \"Email\" field does not have a valid format"
            - Length:
                min: 5
                minMessage: "The \"Email\" field must have more than 4 characters"
                max: 255
                maxMessage: "The \"Email\" field cannot be longer than 255 characters"
        nombre:
            - NotBlank: {message: "The \"Name\" field is required"}
            - Length:
                max: 255
                maxMessage: "The \"Name\" field cannot be longer than 255 characters"
        apellidos:
            - NotBlank: {message: "The \"Surname\" field is required"}
            - Length:
                max: 255
                maxMessage: "The \"Surname\" field cannot be longer than 255 characters"
        zip:
            - NotBlank: {message: "The \"Postal code\" field is required"}
            - Length:
                max: 10
                maxMessage: "The \"Postal code\" field cannot be longer than 10 characters"
App\Form\Model\Cuenta:
    properties:
        email:
            - NotBlank: {message: "The \"Email\" field is mandatory"}
            - Email:
                message: "The \"Email\" field does not have a valid format"
            - Length:
                min: 5
                minMessage: "The \"Email\" field must have more than 4 characters"
                max: 255
                maxMessage: "The \"Email\" field cannot be longer than 255 characters"
        nombre:
            - NotBlank: {message: "The \"Name\" field is required"}
            - Length:
                max: 255
                maxMessage: "The \"Name\" field cannot be longer than 255 characters"
        apellidos:
            - NotBlank: {message: "The \"Surname\" field is required"}
            - Length:
                max: 255
                maxMessage: "The \"Surname\" field cannot be longer than 255 characters"
        zip:
            - NotBlank: {message: "The \"Postal code\" field is required"}
            - Length:
                max: 10
                maxMessage: "The \"Postal code\" field cannot be longer than 10 characters"
App\Entity\Tablero:
    properties:
        nombre:
            - NotBlank: {message: "The \"Panel name\" field is mandatory"}
            - Length:
                max: 255
                maxMessage: "The \"Panel name\" field cannot be longer than 255 characters"
